# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from enum import Enum


class KeyVaultSecretStatus(str, Enum):

    initialized = "Initialized"
    waiting_on_certificate_order = "WaitingOnCertificateOrder"
    succeeded = "Succeeded"
    certificate_order_failed = "CertificateOrderFailed"
    operation_not_permitted_on_key_vault = "OperationNotPermittedOnKeyVault"
    azure_service_unauthorized_to_access_key_vault = "AzureServiceUnauthorizedToAccessKeyVault"
    key_vault_does_not_exist = "KeyVaultDoesNotExist"
    key_vault_secret_does_not_exist = "KeyVaultSecretDoesNotExist"
    unknown_error = "UnknownError"
    external_private_key = "ExternalPrivateKey"
    unknown = "Unknown"


class RouteType(str, Enum):

    default = "DEFAULT"
    inherited = "INHERITED"
    static = "STATIC"


class InsightStatus(str, Enum):

    critical = "Critical"
    warning = "Warning"
    info = "Info"
    success = "Success"
    none = "None"


class RenderingType(str, Enum):

    no_graph = "NoGraph"
    table = "Table"
    time_series = "TimeSeries"
    time_series_per_instance = "TimeSeriesPerInstance"
    pie_chart = "PieChart"
    data_summary = "DataSummary"
    email = "Email"
    insights = "Insights"
    dynamic_insight = "DynamicInsight"
    markdown = "Markdown"
    detector = "Detector"
    drop_down = "DropDown"
    card = "Card"
    solution = "Solution"
    guage = "Guage"
    form = "Form"
    change_sets = "ChangeSets"
    change_analysis_onboarding = "ChangeAnalysisOnboarding"
    changes_view = "ChangesView"
    app_insight = "AppInsight"
    dependency_graph = "DependencyGraph"
    down_time = "DownTime"
    summary_card = "SummaryCard"
    search_component = "SearchComponent"
    app_insight_enablement = "AppInsightEnablement"


class DetectorType(str, Enum):

    detector = "Detector"
    analysis = "Analysis"
    category_overview = "CategoryOverview"


class ManagedServiceIdentityType(str, Enum):

    system_assigned = "SystemAssigned"
    user_assigned = "UserAssigned"
    system_assigned_user_assigned = "SystemAssigned, UserAssigned"
    none = "None"


class AzureStorageType(str, Enum):

    azure_files = "AzureFiles"
    azure_blob = "AzureBlob"


class AzureStorageState(str, Enum):

    ok = "Ok"
    invalid_credentials = "InvalidCredentials"
    invalid_share = "InvalidShare"
    not_validated = "NotValidated"


class IpFilterTag(str, Enum):

    default = "Default"
    xff_proxy = "XffProxy"
    service_tag = "ServiceTag"


class AutoHealActionType(str, Enum):

    recycle = "Recycle"
    log_event = "LogEvent"
    custom_action = "CustomAction"


class ConnectionStringType(str, Enum):

    my_sql = "MySql"
    sql_server = "SQLServer"
    sql_azure = "SQLAzure"
    custom = "Custom"
    notification_hub = "NotificationHub"
    service_bus = "ServiceBus"
    event_hub = "EventHub"
    api_hub = "ApiHub"
    doc_db = "DocDb"
    redis_cache = "RedisCache"
    postgre_sql = "PostgreSQL"


class ScmType(str, Enum):

    none = "None"
    dropbox = "Dropbox"
    tfs = "Tfs"
    local_git = "LocalGit"
    git_hub = "GitHub"
    code_plex_git = "CodePlexGit"
    code_plex_hg = "CodePlexHg"
    bitbucket_git = "BitbucketGit"
    bitbucket_hg = "BitbucketHg"
    external_git = "ExternalGit"
    external_hg = "ExternalHg"
    one_drive = "OneDrive"
    vso = "VSO"
    vstsrm = "VSTSRM"


class ManagedPipelineMode(str, Enum):

    integrated = "Integrated"
    classic = "Classic"


class SiteLoadBalancing(str, Enum):

    weighted_round_robin = "WeightedRoundRobin"
    least_requests = "LeastRequests"
    least_response_time = "LeastResponseTime"
    weighted_total_traffic = "WeightedTotalTraffic"
    request_hash = "RequestHash"
    per_site_round_robin = "PerSiteRoundRobin"


class SupportedTlsVersions(str, Enum):

    one_full_stop_zero = "1.0"
    one_full_stop_one = "1.1"
    one_full_stop_two = "1.2"


class FtpsState(str, Enum):

    all_allowed = "AllAllowed"
    ftps_only = "FtpsOnly"
    disabled = "Disabled"


class SslState(str, Enum):

    disabled = "Disabled"
    sni_enabled = "SniEnabled"
    ip_based_enabled = "IpBasedEnabled"


class HostType(str, Enum):

    standard = "Standard"
    repository = "Repository"


class UsageState(str, Enum):

    normal = "Normal"
    exceeded = "Exceeded"


class SiteAvailabilityState(str, Enum):

    normal = "Normal"
    limited = "Limited"
    disaster_recovery_mode = "DisasterRecoveryMode"


class ClientCertMode(str, Enum):

    required = "Required"
    optional = "Optional"
    optional_interactive_user = "OptionalInteractiveUser"


class RedundancyMode(str, Enum):

    none = "None"
    manual = "Manual"
    failover = "Failover"
    active_active = "ActiveActive"
    geo_redundant = "GeoRedundant"


class StatusOptions(str, Enum):

    ready = "Ready"
    pending = "Pending"
    creating = "Creating"


class ProvisioningState(str, Enum):

    succeeded = "Succeeded"
    failed = "Failed"
    canceled = "Canceled"
    in_progress = "InProgress"
    deleting = "Deleting"


class HostingEnvironmentStatus(str, Enum):

    preparing = "Preparing"
    ready = "Ready"
    scaling = "Scaling"
    deleting = "Deleting"


class LoadBalancingMode(str, Enum):

    none = "None"
    web = "Web"
    publishing = "Publishing"
    web_publishing = "Web, Publishing"


class OperationStatus(str, Enum):

    in_progress = "InProgress"
    failed = "Failed"
    succeeded = "Succeeded"
    timed_out = "TimedOut"
    created = "Created"


class IssueType(str, Enum):

    service_incident = "ServiceIncident"
    app_deployment = "AppDeployment"
    app_crash = "AppCrash"
    runtime_issue_detected = "RuntimeIssueDetected"
    ase_deployment = "AseDeployment"
    user_issue = "UserIssue"
    platform_issue = "PlatformIssue"
    other = "Other"


class SolutionType(str, Enum):

    quick_solution = "QuickSolution"
    deep_investigation = "DeepInvestigation"
    best_practices = "BestPractices"


class StackPreferredOs(str, Enum):

    windows = "Windows"
    linux = "Linux"


class ResourceScopeType(str, Enum):

    server_farm = "ServerFarm"
    subscription = "Subscription"
    web_site = "WebSite"


class NotificationLevel(str, Enum):

    critical = "Critical"
    warning = "Warning"
    information = "Information"
    non_urgent_suggestion = "NonUrgentSuggestion"


class Channels(str, Enum):

    notification = "Notification"
    api = "Api"
    email = "Email"
    webhook = "Webhook"
    all = "All"


class AppServicePlanRestrictions(str, Enum):

    none = "None"
    free = "Free"
    shared = "Shared"
    basic = "Basic"
    standard = "Standard"
    premium = "Premium"


class InAvailabilityReasonType(str, Enum):

    invalid = "Invalid"
    already_exists = "AlreadyExists"


class CheckNameResourceTypes(str, Enum):

    site = "Site"
    slot = "Slot"
    hosting_environment = "HostingEnvironment"
    publishing_user = "PublishingUser"
    microsoft_websites = "Microsoft.Web/sites"
    microsoft_websitesslots = "Microsoft.Web/sites/slots"
    microsoft_webhosting_environments = "Microsoft.Web/hostingEnvironments"
    microsoft_webpublishing_users = "Microsoft.Web/publishingUsers"


class ValidateResourceTypes(str, Enum):

    server_farm = "ServerFarm"
    site = "Site"
    microsoft_webhosting_environments = "Microsoft.Web/hostingEnvironments"


class ResolveStatus(str, Enum):

    initialized = "Initialized"
    resolved = "Resolved"
    invalid_syntax = "InvalidSyntax"
    msi_not_enabled = "MSINotEnabled"
    vault_not_found = "VaultNotFound"
    secret_not_found = "SecretNotFound"
    secret_version_not_found = "SecretVersionNotFound"
    access_to_key_vault_denied = "AccessToKeyVaultDenied"
    other_reasons = "OtherReasons"
    fetch_timed_out = "FetchTimedOut"
    unauthorized_client = "UnauthorizedClient"


class ConfigReferenceSource(str, Enum):

    key_vault = "KeyVault"


class ConfigReferenceLocation(str, Enum):

    application_setting = "ApplicationSetting"


class LogLevel(str, Enum):

    off = "Off"
    verbose = "Verbose"
    information = "Information"
    warning = "Warning"
    error = "Error"


class BackupItemStatus(str, Enum):

    in_progress = "InProgress"
    failed = "Failed"
    succeeded = "Succeeded"
    timed_out = "TimedOut"
    created = "Created"
    skipped = "Skipped"
    partially_succeeded = "PartiallySucceeded"
    delete_in_progress = "DeleteInProgress"
    delete_failed = "DeleteFailed"
    deleted = "Deleted"


class DatabaseType(str, Enum):

    sql_azure = "SqlAzure"
    my_sql = "MySql"
    local_my_sql = "LocalMySql"
    postgre_sql = "PostgreSql"


class FrequencyUnit(str, Enum):

    day = "Day"
    hour = "Hour"


class ContinuousWebJobStatus(str, Enum):

    initializing = "Initializing"
    starting = "Starting"
    running = "Running"
    pending_restart = "PendingRestart"
    stopped = "Stopped"


class WebJobType(str, Enum):

    continuous = "Continuous"
    triggered = "Triggered"


class CookieExpirationConvention(str, Enum):

    fixed_time = "FixedTime"
    identity_provider_derived = "IdentityProviderDerived"


class PublishingProfileFormat(str, Enum):

    file_zilla3 = "FileZilla3"
    web_deploy = "WebDeploy"
    ftp = "Ftp"


class DnsVerificationTestResult(str, Enum):

    passed = "Passed"
    failed = "Failed"
    skipped = "Skipped"


class ClientCredentialMethod(str, Enum):

    client_secret_post = "ClientSecretPost"


class ForwardProxyConvention(str, Enum):

    no_proxy = "NoProxy"
    standard = "Standard"
    custom = "Custom"


class UnauthenticatedClientActionV2(str, Enum):

    redirect_to_login_page = "RedirectToLoginPage"
    allow_anonymous = "AllowAnonymous"
    return401 = "Return401"
    return403 = "Return403"


class AzureResourceType(str, Enum):

    website = "Website"
    traffic_manager = "TrafficManager"


class CustomHostNameDnsRecordType(str, Enum):

    cname = "CName"
    a = "A"


class HostNameType(str, Enum):

    verified = "Verified"
    managed = "Managed"


class MSDeployLogEntryType(str, Enum):

    message = "Message"
    warning = "Warning"
    error = "Error"


class MSDeployProvisioningState(str, Enum):

    accepted = "accepted"
    running = "running"
    succeeded = "succeeded"
    failed = "failed"
    canceled = "canceled"


class MySqlMigrationType(str, Enum):

    local_to_remote = "LocalToRemote"
    remote_to_local = "RemoteToLocal"


class PublicCertificateLocation(str, Enum):

    current_user_my = "CurrentUserMy"
    local_machine_my = "LocalMachineMy"
    unknown = "Unknown"


class BackupRestoreOperationType(str, Enum):

    default = "Default"
    clone = "Clone"
    relocation = "Relocation"
    snapshot = "Snapshot"
    cloud_fs = "CloudFS"


class UnauthenticatedClientAction(str, Enum):

    redirect_to_login_page = "RedirectToLoginPage"
    allow_anonymous = "AllowAnonymous"


class BuiltInAuthenticationProvider(str, Enum):

    azure_active_directory = "AzureActiveDirectory"
    facebook = "Facebook"
    google = "Google"
    microsoft_account = "MicrosoftAccount"
    twitter = "Twitter"
    github = "Github"


class CloneAbilityResult(str, Enum):

    cloneable = "Cloneable"
    partially_cloneable = "PartiallyCloneable"
    not_cloneable = "NotCloneable"


class SiteExtensionType(str, Enum):

    gallery = "Gallery"
    web_root = "WebRoot"


class TriggeredWebJobStatus(str, Enum):

    success = "Success"
    failed = "Failed"
    error = "Error"


class SiteRuntimeState(str, Enum):

    ready = "READY"
    stopped = "STOPPED"
    unknown = "UNKNOWN"


class StagingEnvironmentPolicy(str, Enum):

    enabled = "Enabled"
    disabled = "Disabled"


class EnterpriseGradeCdnStatus(str, Enum):

    enabled = "Enabled"
    enabling = "Enabling"
    disabled = "Disabled"


class BuildStatus(str, Enum):

    waiting_for_deployment = "WaitingForDeployment"
    uploading = "Uploading"
    deploying = "Deploying"
    ready = "Ready"
    failed = "Failed"
    deleting = "Deleting"
    detached = "Detached"


class CustomDomainStatus(str, Enum):

    retrieving_validation_token = "RetrievingValidationToken"
    validating = "Validating"
    adding = "Adding"
    ready = "Ready"
    failed = "Failed"
    deleting = "Deleting"
    unhealthy = "Unhealthy"


class TriggerTypes(str, Enum):

    http_trigger = "HttpTrigger"
    unknown = "Unknown"


class ComputeModeOptions(str, Enum):

    shared = "Shared"
    dedicated = "Dedicated"
    dynamic = "Dynamic"


class WorkerSizeOptions(str, Enum):

    small = "Small"
    medium = "Medium"
    large = "Large"
    d1 = "D1"
    d2 = "D2"
    d3 = "D3"
    small_v3 = "SmallV3"
    medium_v3 = "MediumV3"
    large_v3 = "LargeV3"
    nested_small = "NestedSmall"
    nested_small_linux = "NestedSmallLinux"
    default = "Default"


class StorageType(str, Enum):

    local_node = "LocalNode"
    network_file_system = "NetworkFileSystem"


class FrontEndServiceType(str, Enum):

    node_port = "NodePort"
    load_balancer = "LoadBalancer"


class KubeEnvironmentProvisioningState(str, Enum):

    succeeded = "Succeeded"
    failed = "Failed"
    canceled = "Canceled"
    waiting = "Waiting"
    initialization_in_progress = "InitializationInProgress"
    infrastructure_setup_in_progress = "InfrastructureSetupInProgress"
    infrastructure_setup_complete = "InfrastructureSetupComplete"
    scheduled_for_delete = "ScheduledForDelete"
    upgrade_requested = "UpgradeRequested"
    upgrade_failed = "UpgradeFailed"
    aks_provision_complete = "AKSProvisionComplete"


class WorkerAppProvisioningState(str, Enum):

    in_progress = "InProgress"
    succeeded = "Succeeded"
    failed = "Failed"
    canceled = "Canceled"


class WorkerAppIngressTransportMethod(str, Enum):

    auto = "auto"
    http = "http"
    http2 = "http2"


class WorkerAppRevisionHealthState(str, Enum):

    healthy = "Healthy"
    unhealthy = "Unhealthy"
    none = "None"


class WorkerAppRevisionProvisioningState(str, Enum):

    provisioning = "Provisioning"
    provisioned = "Provisioned"
    failed = "Failed"
    deprovisioning = "Deprovisioning"
    deprovisioned = "Deprovisioned"


class SkuName(str, Enum):

    free = "Free"
    shared = "Shared"
    basic = "Basic"
    standard = "Standard"
    premium = "Premium"
    dynamic = "Dynamic"
    isolated = "Isolated"
    isolated_v2 = "IsolatedV2"
    premium_v2 = "PremiumV2"
    premium_v3 = "PremiumV3"
    premium_container = "PremiumContainer"
    elastic_premium = "ElasticPremium"
    elastic_isolated = "ElasticIsolated"
