# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from enum import Enum


class ProvisioningState(str, Enum):

    succeeded = "Succeeded"
    failed = "Failed"
    canceled = "Canceled"
    in_progress = "InProgress"
    deleting = "Deleting"


class HostingEnvironmentStatus(str, Enum):

    preparing = "Preparing"
    ready = "Ready"
    scaling = "Scaling"
    deleting = "Deleting"


class LoadBalancingMode(str, Enum):

    none = "None"
    web = "Web"
    publishing = "Publishing"
    web_publishing = "Web, Publishing"


class StatusOptions(str, Enum):

    ready = "Ready"
    pending = "Pending"
    creating = "Creating"


class AutoHealActionType(str, Enum):

    recycle = "Recycle"
    log_event = "LogEvent"
    custom_action = "CustomAction"


class AzureStorageType(str, Enum):

    azure_files = "AzureFiles"
    azure_blob = "AzureBlob"
    file_share = "FileShare"


class AzureStorageState(str, Enum):

    ok = "Ok"
    invalid_credentials = "InvalidCredentials"
    invalid_share = "InvalidShare"
    not_validated = "NotValidated"


class ConnectionStringType(str, Enum):

    my_sql = "MySql"
    sql_server = "SQLServer"
    sql_azure = "SQLAzure"
    custom = "Custom"
    notification_hub = "NotificationHub"
    service_bus = "ServiceBus"
    event_hub = "EventHub"
    api_hub = "ApiHub"
    doc_db = "DocDb"
    redis_cache = "RedisCache"
    postgre_sql = "PostgreSQL"


class DetectorType(str, Enum):

    detector = "Detector"
    analysis = "Analysis"
    category_overview = "CategoryOverview"


class RenderingType(str, Enum):

    no_graph = "NoGraph"
    table = "Table"
    time_series = "TimeSeries"
    time_series_per_instance = "TimeSeriesPerInstance"
    pie_chart = "PieChart"
    data_summary = "DataSummary"
    email = "Email"
    insights = "Insights"
    dynamic_insight = "DynamicInsight"
    markdown = "Markdown"
    detector = "Detector"
    drop_down = "DropDown"
    card = "Card"
    solution = "Solution"
    guage = "Guage"
    form = "Form"
    change_sets = "ChangeSets"
    change_analysis_onboarding = "ChangeAnalysisOnboarding"
    changes_view = "ChangesView"
    app_insight = "AppInsight"
    dependency_graph = "DependencyGraph"
    down_time = "DownTime"
    summary_card = "SummaryCard"
    search_component = "SearchComponent"
    app_insight_enablement = "AppInsightEnablement"


class InsightStatus(str, Enum):

    critical = "Critical"
    warning = "Warning"
    info = "Info"
    success = "Success"
    none = "None"


class SslState(str, Enum):

    disabled = "Disabled"
    sni_enabled = "SniEnabled"
    ip_based_enabled = "IpBasedEnabled"


class HostType(str, Enum):

    standard = "Standard"
    repository = "Repository"


class IpFilterTag(str, Enum):

    default = "Default"
    xff_proxy = "XffProxy"
    service_tag = "ServiceTag"


class ManagedServiceIdentityType(str, Enum):

    system_assigned = "SystemAssigned"
    user_assigned = "UserAssigned"
    system_assigned_user_assigned = "SystemAssigned, UserAssigned"
    none = "None"


class OperationStatus(str, Enum):

    in_progress = "InProgress"
    failed = "Failed"
    succeeded = "Succeeded"
    timed_out = "TimedOut"
    created = "Created"


class UsageState(str, Enum):

    normal = "Normal"
    exceeded = "Exceeded"


class SiteAvailabilityState(str, Enum):

    normal = "Normal"
    limited = "Limited"
    disaster_recovery_mode = "DisasterRecoveryMode"


class SiteSecretType(str, Enum):

    string = "String"
    key_vault = "KeyVault"


class ResolveStatus(str, Enum):

    initialized = "Initialized"
    resolved = "Resolved"
    invalid_syntax = "InvalidSyntax"
    msi_not_enabled = "MSINotEnabled"
    vault_not_found = "VaultNotFound"
    secret_not_found = "SecretNotFound"
    secret_version_not_found = "SecretVersionNotFound"
    access_to_key_vault_denied = "AccessToKeyVaultDenied"
    other_reasons = "OtherReasons"
    fetch_timed_out = "FetchTimedOut"
    unauthorized_client = "UnauthorizedClient"


class ScmType(str, Enum):

    none = "None"
    dropbox = "Dropbox"
    tfs = "Tfs"
    local_git = "LocalGit"
    git_hub = "GitHub"
    code_plex_git = "CodePlexGit"
    code_plex_hg = "CodePlexHg"
    bitbucket_git = "BitbucketGit"
    bitbucket_hg = "BitbucketHg"
    external_git = "ExternalGit"
    external_hg = "ExternalHg"
    one_drive = "OneDrive"
    vso = "VSO"
    vstsrm = "VSTSRM"


class ManagedPipelineMode(str, Enum):

    integrated = "Integrated"
    classic = "Classic"


class SiteLoadBalancing(str, Enum):

    weighted_round_robin = "WeightedRoundRobin"
    least_requests = "LeastRequests"
    least_response_time = "LeastResponseTime"
    weighted_total_traffic = "WeightedTotalTraffic"
    request_hash = "RequestHash"
    per_site_round_robin = "PerSiteRoundRobin"


class SupportedTlsVersions(str, Enum):

    one_full_stop_zero = "1.0"
    one_full_stop_one = "1.1"
    one_full_stop_two = "1.2"


class FtpsState(str, Enum):

    all_allowed = "AllAllowed"
    ftps_only = "FtpsOnly"
    disabled = "Disabled"


class ClientCertMode(str, Enum):

    required = "Required"
    optional = "Optional"
    optional_interactive_user = "OptionalInteractiveUser"


class RedundancyMode(str, Enum):

    none = "None"
    manual = "Manual"
    failover = "Failover"
    active_active = "ActiveActive"
    geo_redundant = "GeoRedundant"


class RouteType(str, Enum):

    default = "DEFAULT"
    inherited = "INHERITED"
    static = "STATIC"


class StorageType(str, Enum):

    local_node = "LocalNode"
    network_file_system = "NetworkFileSystem"


class FrontEndServiceType(str, Enum):

    node_port = "NodePort"
    load_balancer = "LoadBalancer"


class KubeEnvironmentProvisioningState(str, Enum):

    succeeded = "Succeeded"
    failed = "Failed"
    canceled = "Canceled"
    waiting = "Waiting"
    initialization_in_progress = "InitializationInProgress"
    infrastructure_setup_in_progress = "InfrastructureSetupInProgress"
    infrastructure_setup_complete = "InfrastructureSetupComplete"
    scheduled_for_delete = "ScheduledForDelete"
    upgrade_requested = "UpgradeRequested"
    upgrade_failed = "UpgradeFailed"
    cluster_provisioning_in_progress = "ClusterProvisioningInProgress"
    cluster_provisioning_completed = "ClusterProvisioningCompleted"
    ready_for_allocation = "ReadyForAllocation"
    successfully_configured = "SuccessfullyConfigured"


class WorkerAppProvisioningState(str, Enum):

    in_progress = "InProgress"
    succeeded = "Succeeded"
    failed = "Failed"
    canceled = "Canceled"


class WorkerAppActiveRevisionsMode(str, Enum):

    multiple = "multiple"
    single = "single"


class WorkerAppIngressTransportMethod(str, Enum):

    auto = "auto"
    http = "http"
    http2 = "http2"


class WorkerAppRevisionHealthState(str, Enum):

    healthy = "Healthy"
    unhealthy = "Unhealthy"
    none = "None"


class WorkerAppRevisionProvisioningState(str, Enum):

    provisioning = "Provisioning"
    provisioned = "Provisioned"
    failed = "Failed"
    deprovisioning = "Deprovisioning"
    deprovisioned = "Deprovisioned"
